Name:          dragon
Version:       18.08.3
Release:       1mamba
Summary:       A simple video player for KDE 4
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/dragon-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkio-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknotifications-devel
BuildRequires: libkparts-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libphonon-qt5-devel
BuildRequires: libqt5-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Provides:      dragonplayer
Obsoletes:     dragonplayer
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A simple video player for KDE 4.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_kde5_bindir}/dragon
%{_libdir}/qt5/plugins/dragonpart.so
%{_datadir}/metainfo/org.kde.dragonplayer.appdata.xml
%{_datadir}/applications/org.kde.dragonplayer.desktop
%dir %{_datadir}/kxmlgui5/dragonplayer
%{_datadir}/kxmlgui5/dragonplayer/*
%{_kde5_datadir}/solid/actions/dragonplayer-*.desktop
%config %{_kde5_configdir}/dragonplayerrc
%doc %lang(en) %{_kde5_htmldir}/en/dragonplayer/*
%doc %lang(ca) %{_kde5_htmldir}/ca/dragonplayer/*
%doc %lang(de) %{_kde5_htmldir}/de/dragonplayer/*
%doc %lang(es) %{_kde5_htmldir}/es/dragonplayer/*
%doc %lang(et) %{_kde5_htmldir}/et/dragonplayer/*
%doc %lang(fr) %{_kde5_htmldir}/fr/dragonplayer/*
%doc %lang(gl) %{_kde5_htmldir}/gl/dragonplayer/*
%doc %lang(id) %{_kde5_htmldir}/id/dragonplayer/*
%doc %lang(it) %{_kde5_htmldir}/it/dragonplayer/*
%doc %lang(nl) %{_kde5_htmldir}/nl/dragonplayer/*
%doc %lang(pl) %{_kde5_htmldir}/pl/dragonplayer/*
%doc %lang(pt) %{_kde5_htmldir}/pt/dragonplayer/*
%doc %lang(pt_BR) %{_kde5_htmldir}/pt_BR/dragonplayer/*
%doc %lang(ru) %{_kde5_htmldir}/ru/dragonplayer/*
%doc %lang(sr) %{_kde5_htmldir}/sr/dragonplayer/*
%doc %lang(sv) %{_kde5_htmldir}/sv/dragonplayer/*
%doc %lang(tr) %{_kde5_htmldir}/tr/dragonplayer/*
%doc %lang(uk) %{_kde5_htmldir}/uk/dragonplayer/*
%lang(ar) %{_datadir}/locale/ar/LC_MESSAGES/dragonplayer.mo
%lang(ast) %{_datadir}/locale/ast/LC_MESSAGES/dragonplayer.mo
%lang(bg) %{_datadir}/locale/bg/LC_MESSAGES/dragonplayer.mo
%lang(bs) %{_datadir}/locale/bs/LC_MESSAGES/dragonplayer.mo
%lang(ca) %{_datadir}/locale/ca/LC_MESSAGES/dragonplayer.mo
%lang(ca@valencia) %{_datadir}/locale/ca@valencia/LC_MESSAGES/dragonplayer.mo
%lang(cs) %{_datadir}/locale/cs/LC_MESSAGES/dragonplayer.mo
%lang(da) %{_datadir}/locale/da/LC_MESSAGES/dragonplayer.mo
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/dragonplayer.mo
%lang(el) %{_datadir}/locale/el/LC_MESSAGES/dragonplayer.mo
%lang(en_GB) %{_datadir}/locale/en_GB/LC_MESSAGES/dragonplayer.mo
%lang(eo) %{_datadir}/locale/eo/LC_MESSAGES/dragonplayer.mo
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/dragonplayer.mo
%lang(et) %{_datadir}/locale/et/LC_MESSAGES/dragonplayer.mo
%lang(eu) %{_datadir}/locale/eu/LC_MESSAGES/dragonplayer.mo
%lang(fi) %{_datadir}/locale/fi/LC_MESSAGES/dragonplayer.mo
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/dragonplayer.mo
%lang(ga) %{_datadir}/locale/ga/LC_MESSAGES/dragonplayer.mo
%lang(gl) %{_datadir}/locale/gl/LC_MESSAGES/dragonplayer.mo
%lang(he) %{_datadir}/locale/he/LC_MESSAGES/dragonplayer.mo
%lang(hr) %{_datadir}/locale/hr/LC_MESSAGES/dragonplayer.mo
%lang(hu) %{_datadir}/locale/hu/LC_MESSAGES/dragonplayer.mo
%lang(ia) %{_datadir}/locale/ia/LC_MESSAGES/dragonplayer.mo
%lang(is) %{_datadir}/locale/is/LC_MESSAGES/dragonplayer.mo
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/dragonplayer.mo
%lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/dragonplayer.mo
%lang(kk) %{_datadir}/locale/kk/LC_MESSAGES/dragonplayer.mo
%lang(km) %{_datadir}/locale/km/LC_MESSAGES/dragonplayer.mo
%lang(ko) %{_datadir}/locale/ko/LC_MESSAGES/dragonplayer.mo
%lang(lt) %{_datadir}/locale/lt/LC_MESSAGES/dragonplayer.mo
%lang(lv) %{_datadir}/locale/lv/LC_MESSAGES/dragonplayer.mo
%lang(mr) %{_datadir}/locale/mr/LC_MESSAGES/dragonplayer.mo
%lang(nb) %{_datadir}/locale/nb/LC_MESSAGES/dragonplayer.mo
%lang(nds) %{_datadir}/locale/nds/LC_MESSAGES/dragonplayer.mo
%lang(nl) %{_datadir}/locale/nl/LC_MESSAGES/dragonplayer.mo
%lang(nn) %{_datadir}/locale/nn/LC_MESSAGES/dragonplayer.mo
%lang(pa) %{_datadir}/locale/pa/LC_MESSAGES/dragonplayer.mo
%lang(pl) %{_datadir}/locale/pl/LC_MESSAGES/dragonplayer.mo
%lang(pt) %{_datadir}/locale/pt/LC_MESSAGES/dragonplayer.mo
%lang(pt_BR) %{_datadir}/locale/pt_BR/LC_MESSAGES/dragonplayer.mo
%lang(ro) %{_datadir}/locale/ro/LC_MESSAGES/dragonplayer.mo
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/dragonplayer.mo
%lang(sk) %{_datadir}/locale/sk/LC_MESSAGES/dragonplayer.mo
%lang(sl) %{_datadir}/locale/sl/LC_MESSAGES/dragonplayer.mo
%lang(sr) %{_datadir}/locale/sr/LC_MESSAGES/dragonplayer.mo
%lang(sv) %{_datadir}/locale/sv/LC_MESSAGES/dragonplayer.mo
%lang(tr) %{_datadir}/locale/tr/LC_MESSAGES/dragonplayer.mo
%lang(ug) %{_datadir}/locale/ug/LC_MESSAGES/dragonplayer.mo
%lang(uk) %{_datadir}/locale/uk/LC_MESSAGES/dragonplayer.mo
%lang(wa) %{_datadir}/locale/wa/LC_MESSAGES/dragonplayer.mo
%lang(zh_CN) %{_datadir}/locale/zh_CN/LC_MESSAGES/dragonplayer.mo
%lang(zh_TW) %{_datadir}/locale/zh_TW/LC_MESSAGES/dragonplayer.mo
%{_kde5_icondir}/hicolor/*/apps/dragonplayer.png
%{_kde5_icondir}/hicolor/scalable/apps/dragonplayer.svgz
%{_kde5_icondir}/oxygen/*/actions/player-volume-muted.png
%{_kde5_icondir}/oxygen/scalable/actions/player-volume-muted.svgz
%{_kde5_servicesdir}/ServiceMenus/dragonplayer_play_dvd.desktop
%{_kde5_servicesdir}/dragonplayer_part.desktop
%lang(ca) %{_mandir}/ca/man1/dragon.1.gz
%lang(de) %{_mandir}/de/man1/dragon.1.gz
%lang(es) %{_mandir}/es/man1/dragon.1.gz
%lang(et) %{_mandir}/et/man1/dragon.1.gz
%lang(fr) %{_mandir}/fr/man1/dragon.1.gz
%lang(it) %{_mandir}/it/man1/dragon.1.gz
%lang(nl) %{_mandir}/nl/man1/dragon.1.gz
%lang(pt) %{_mandir}/pt/man1/dragon.1.gz
%lang(pt_BR) %{_mandir}/pt_BR/man1/dragon.1.gz
%lang(sr) %{_mandir}/sr/man1/dragon.1.gz
%lang(sv) %{_mandir}/sv/man1/dragon.1.gz
%lang(tr) %{_mandir}/tr/man1/dragon.1.gz
%lang(uk) %{_mandir}/uk/man1/dragon.1.gz
%{_mandir}/man1/dragon.1*
%doc COPYING COPYING.DOC

%changelog
* Sun Nov 11 2018 Automatic Build System <autodist@mambasoft.it> 18.08.3-1mamba
- automatic version update by autodist

* Thu Oct 11 2018 Automatic Build System <autodist@mambasoft.it> 18.08.2-1mamba
- automatic version update by autodist

* Thu Sep 06 2018 Automatic Build System <autodist@mambasoft.it> 18.08.1-1mamba
- automatic version update by autodist

* Sat Aug 18 2018 Automatic Build System <autodist@mambasoft.it> 18.08.0-1mamba
- automatic version update by autodist

* Thu Jul 12 2018 Automatic Build System <autodist@mambasoft.it> 18.04.3-1mamba
- automatic version update by autodist

* Thu Jun 07 2018 Automatic Build System <autodist@mambasoft.it> 18.04.2-1mamba
- automatic version update by autodist

* Thu May 10 2018 Automatic Build System <autodist@mambasoft.it> 18.04.1-1mamba
- automatic version update by autodist

* Mon Apr 23 2018 Automatic Build System <autodist@mambasoft.it> 18.04.0-1mamba
- automatic version update by autodist

* Thu Mar 08 2018 Automatic Build System <autodist@mambasoft.it> 17.12.3-1mamba
- automatic version update by autodist

* Mon Feb 12 2018 Automatic Build System <autodist@mambasoft.it> 17.12.2-1mamba
- automatic version update by autodist

* Thu Jan 11 2018 Automatic Build System <autodist@mambasoft.it> 17.12.1-1mamba
- automatic version update by autodist

* Wed Dec 20 2017 Automatic Build System <autodist@mambasoft.it> 17.12.0-1mamba
- automatic version update by autodist

* Fri Nov 10 2017 Automatic Build System <autodist@mambasoft.it> 17.08.3-1mamba
- automatic version update by autodist

* Thu Oct 12 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Fri Sep 08 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Tue Aug 22 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Fri Jul 14 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Tue Jul 04 2017 Automatic Build System <autodist@mambasoft.it> 17.04.2-1mamba
- automatic version update by autodist

* Fri Mar 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.3-1mamba
- automatic version update by autodist

* Fri Feb 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Fri Jan 13 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Mon Dec 19 2016 Automatic Build System <autodist@mambasoft.it> 16.12.0-1mamba
- automatic version update by autodist

* Thu Nov 10 2016 Automatic Build System <autodist@mambasoft.it> 16.08.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2016 Automatic Build System <autodist@mambasoft.it> 16.08.2-1mamba
- automatic version update by autodist

* Thu Sep 08 2016 Automatic Build System <autodist@mambasoft.it> 16.08.1-1mamba
- automatic version update by autodist

* Fri Aug 26 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.08.0-1mamba
- automatic version update by autodist

* Tue Jul 12 2016 Automatic Build System <autodist@mambasoft.it> 16.04.3-1mamba
- automatic version update by autodist

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 16.04.2-1mamba
- automatic version update by autodist

* Wed May 11 2016 Automatic Build System <autodist@mambasoft.it> 16.04.1-1mamba
- automatic version update by autodist

* Sat Apr 23 2016 Automatic Build System <autodist@mambasoft.it> 16.04.0-1mamba
- automatic version update by autodist

* Tue Mar 15 2016 Automatic Build System <autodist@mambasoft.it> 15.12.3-1mamba
- automatic version update by autodist

* Tue Feb 16 2016 Automatic Build System <autodist@mambasoft.it> 15.12.2-1mamba
- automatic version update by autodist

* Tue Jan 12 2016 Automatic Build System <autodist@mambasoft.it> 15.12.1-1mamba
- automatic version update by autodist

* Mon Dec 21 2015 Automatic Build System <autodist@mambasoft.it> 15.12.0-1mamba
- automatic version update by autodist

* Tue Nov 10 2015 Automatic Build System <autodist@mambasoft.it> 15.08.3-1mamba
- automatic version update by autodist

* Tue Oct 13 2015 Automatic Build System <autodist@mambasoft.it> 15.08.2-1mamba
- automatic version update by autodist

* Sun Sep 20 2015 Automatic Build System <autodist@mambasoft.it> 15.08.1-1mamba
- automatic version update by autodist

* Wed Aug 26 2015 Automatic Build System <autodist@mambasoft.it> 15.08.0-1mamba
- automatic version update by autodist

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Mon Oct 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Thu Aug 21 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Wed Aug 14 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.4-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Wed Apr 03 2013 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- automatic version update by autodist

* Wed Feb 13 2013 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Tue Feb 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.9.5-2mamba
- rebuild in kde4 environment (use %cmake_kde4)

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 4.9.5-1mamba
- automatic version update by autodist

* Thu Dec 06 2012 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Wed Oct 24 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.9.2-1mamba
- package created by autospec
